<!-- Based on fast/repaint/fixed-table-overflow.html -->
<html>
<head>
    <link rel="stylesheet" href="../../../fast/repaint/resources/default.css">
    <style>
        table { top: 0px; left: 0px; border-spacing: 0px; position: absolute; }
        td { background: green; padding: 0px; border-style: none; border: 0px; }
        td.fixed { position: fixed; left: 100px; top: 0px; }
    </style>
    <script src="resources/paint-invalidation-test.js"></script>
    <script>
        window.onload = function() {
            window.scrollTo(0, 100);
            runPaintInvalidationTest();
        };

        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow (relative positioned) DIV class='green'",
            "LayoutTableCell TD id='moveMe' class='fixed'",
            "LayoutTable (positioned) TABLE",
            "LayoutTableCell TD",
            "LayoutTableCell TD",
            "LayoutTableCell TD class='red'",
            "LayoutTableCell (anonymous)",
            "LayoutTableSection TBODY",
            "LayoutTableCell (anonymous)",
            "LayoutBlockFlow (positioned) TD id='moveMe' class='fixed'",
            "LayoutBlockFlow (relative positioned) DIV class='green'",
        ];
        function paintInvalidationTest()
        {
            document.getElementById('moveMe').className = "fixed";
        }
    </script>
</head>
<body style="height:2000px;">
    <!-- Repaint test for https://bugs.webkit.org/show_bug.cgi?id=64650: Layer fixed position logic needs more basic testing -->
    <!-- You should see no red on this page. -->
    <table>
        <tr><td></td><td></td></tr>
        <tr><td class="red"></td><td id="moveMe"><div style="position: relative; left: -100px; top: 0px;" class="green"></div></td></tr>
</body>
</html>
